
Redmine - Defect #7325

When browsing a file in a Mercurial repository Redmine 500's

2011-01-13 22:46 - Wesly Grefrath

Status: Closed Start date: 2011-01-13

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.0

Description

When clicked on a file in the repository viewer (Mercurial SCM) to take a look at it, Redmin gives a 500.

The error log shows this at that moment:

Unknown option: --

usage: python [option] ... [-c cmd | -m mod | file | -] [arg] ...

Try `python -h' for more information.

Related issues:

Related to Redmine - Defect #6683: Error 500 when viewing one of the repository Closed 2010-10-15

History

#1 - 2011-01-13 22:49 - Wesly Grefrath

Some extra info:

Database: PostgreSQL 8.3

Ruby 1.8.7 (x86_64)

Rails 2.3.5

SCM version: Mercurial 1.4.3

#2 - 2011-01-13 23:32 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#3 - 2011-01-13 23:38 - Toshi MARUYAMA

What OS do you use in Redmine Server?

#4 - 2011-01-13 23:39 - Wesly Grefrath

CentOS 5.4

#5 - 2011-01-13 23:42 - Toshi MARUYAMA

Is your Mercurial /usr/bin/hg?

#6 - 2011-01-13 23:43 - Wesly Grefrath

No. It's a symlink to a different location. We need Python 2.6 so we compiled our own and hg is installed with 2.6

#7 - 2011-01-13 23:49 - Toshi MARUYAMA

- Priority changed from High to Normal

Could you set PATH to "hg" path or edit absolute path at source:/tags/1.1.0/lib/redmine/scm/adapters/mercurial_adapter.rb#L27 ?

#8 - 2011-01-13 23:55 - Wesly Grefrath

I set the absolute path, i.e.:

HG_BIN = "/usr/xtreme/bin/hg"

Restarted httpd but still same error
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.1.0/lib/redmine/scm/adapters/mercurial_adapter.rb#L27


#9 - 2011-01-14 00:07 - Toshi MARUYAMA

Does "diff" and "annotate" on Redmine work fine?

#10 - 2011-01-14 00:11 - Wesly Grefrath

"diff" works, "annotate" doesn't (annotate gives the exact same error in the log)

#11 - 2011-01-14 00:32 - Toshi MARUYAMA

I don't know the reason that "diff" works and "cat" and "annotate" do not work.

I can't reproduce on my Fedora 13 and Mercurial 1.7.2.

If possible, could you run unit test on your test environment.

source:trunk/test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb

#12 - 2011-01-14 00:42 - Wesly Grefrath

How do I create the Mercurial test repository?

ruby test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb 

/xtreme/ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#versi

on_requirements is deprecated and will be removed on or after August 2010.  Use #requirement

Mercurial test repository NOT FOUND. Skipping unit tests !!!

Loaded suite test/unit/lib/redmine/scm/adapters/mercurial_adapter_test

Started

..

Finished in 0.012988 seconds.

2 tests, 1 assertions, 0 failures, 0 errors

#13 - 2011-01-14 00:46 - Toshi MARUYAMA

$ rake test:scm:setup:mercurial

#14 - 2011-01-14 00:49 - Wesly Grefrath

ruby test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb 

/xtreme/ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#versi

on_requirements is deprecated and will be removed on or after August 2010.  Use #requirement

Loaded suite test/unit/lib/redmine/scm/adapters/mercurial_adapter_test

Started

.abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

.abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

.abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

Eabort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

Fabort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

abort: requirement 'dotencode' not supported!

Eabort: requirement 'dotencode' not supported!

.abort: requirement 'dotencode' not supported!

.

Finished in 1.144645 seconds.

  1) Error:

test_annotate(MercurialAdapterTest):

NoMethodError: undefined method `lines' for nil:NilClass

    test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:78:in `test_annotate'

  2) Failure:

test_cat(MercurialAdapterTest)

    [test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:69:in `test_cat'

     test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:67:in `each'

     test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:67:in `test_cat']:

<nil> is not true.

  3) Error:

test_diff(MercurialAdapterTest):
NoMethodError: You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.size

    test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:50:in `test_diff'

    test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:48:in `each'

    test/unit/lib/redmine/scm/adapters/mercurial_adapter_test.rb:48:in `test_diff'

8 tests, 33 assertions, 1 failures, 2 errors

#15 - 2011-01-14 00:52 - Toshi MARUYAMA

Sorry!!

Could you clone 1.1 and trunk from following link?

https://bitbucket.org/redmine/redmine

#16 - 2011-01-14 00:57 - Wesly Grefrath

Ok. tip cloned and rev 336724d7e8fa (1.1.0 I think)

#17 - 2011-01-14 01:19 - Wesly Grefrath

- Status changed from New to Resolved

I've looked at the installed plugins, seems redmine_repo_pygments was installed. I removed that and now it works! Darn plugins. Thanks for your

help!

#18 - 2011-01-14 01:21 - Toshi MARUYAMA

This repository has two named branches.

$ hg branches

1.1-stable                  4150:bb9aa5eef301

default                     4148:bfcbab34267b

 'dotencode' is above Mercurial 1.7 repository format.

Please delete tmp/test/mercurial_repository/ and re-run "rake test:scm:setup:mercurial".

#19 - 2011-01-14 01:23 - Toshi MARUYAMA

- Status changed from Resolved to Closed
